# Career Center

Service providing access to Career Center resources and features

Version: v1-2025-04-18

## Servers

```
https://careers.api.rhythmsoftware.com
```

## Security

### knox-authorizer

Type: http
Scheme: bearer
Bearer Format: JWT

## Download OpenAPI description

 - [Career Center](https://docs.api.rhythmsoftware.com/_bundle/apis/careers/careers-v1.yaml)

## Employer Profiles

 - [POST /employerProfiles/{tenantId}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/employer-profiles/createemployerprofile.md): This method will auto-generate an ID and create a new employer profile. If an ID is specified for the employer profile, an error will be thrown.
 - [POST /employerProfiles/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/employer-profiles/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /employerProfiles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/employer-profiles/deleteemployerprofile.md): This method will delete a employer profile with the specified ID.
 - [GET /employerProfiles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/employer-profiles/getemployerprofile.md): This method will look up a employer profile by the specified ID and return it back.
 - [PATCH /employerProfiles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/employer-profiles/patchemployerprofile.md): This method will patch an existing employer profile with the specified ID, using the HTTP PATCH specification.
 - [PUT /employerProfiles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/employer-profiles/updateemployerprofile.md): This method will update an existing employer profile with the specified ID.
## Job Boards

 - [GET /jobBoards/{tenantId}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-boards/listjobboards.md): This method will scan all job boards and and return them to the caller.
 - [POST /jobBoards/{tenantId}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-boards/createjobboard.md): This method will auto-generate an ID and create a new job board. If an ID is specified for the job board, an error will be thrown.
 - [POST /jobBoards/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-boards/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /jobBoards/{tenantId}/public/entry/{jobBoardId}/{entryId}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-boards/getjobboardentry.md)
 - [POST /jobBoards/{tenantId}/public/search/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-boards/searchpublicjobboard.md)
 - [POST /jobBoards/{tenantId}/public/sendMessage/{jobBoardId}/{entryId}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-boards/sendjobboardmessage.md)
 - [GET /jobBoards/{tenantId}/public/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-boards/getpublicjobboard.md): This method will look up a job board by the specified ID and return it back.
 - [POST /jobBoards/{tenantId}/search/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-boards/searchjobboard.md)
 - [DELETE /jobBoards/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-boards/deletejobboard.md): This method will delete a job board with the specified ID.
 - [GET /jobBoards/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-boards/getjobboard.md): This method will look up a job board by the specified ID and return it back.
 - [PATCH /jobBoards/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-boards/patchjobboard.md): This method will patch an existing job board with the specified ID, using the HTTP PATCH specification.
 - [PUT /jobBoards/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-boards/updatejobboard.md): This method will update an existing job board with the specified ID.
## Job Posting Applications

 - [POST /jobPostingApplications/{tenantId}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-posting-applications/createjobpostingapplication.md): This method will auto-generate an ID and create a new job posting application. If an ID is specified for the job posting application, an error will be thrown.
 - [POST /jobPostingApplications/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-posting-applications/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /jobPostingApplications/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-posting-applications/listapplicationsbycontactid.md): Returns a list of records with the specified contact_id
 - [DELETE /jobPostingApplications/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-posting-applications/deletejobpostingapplication.md): This method will delete a job posting application with the specified ID.
 - [GET /jobPostingApplications/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-posting-applications/getjobpostingapplication.md): This method will look up a job posting application by the specified ID and return it back.
 - [PATCH /jobPostingApplications/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-posting-applications/patchjobpostingapplication.md): This method will patch an existing job posting application with the specified ID, using the HTTP PATCH specification.
 - [PUT /jobPostingApplications/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-posting-applications/updatejobpostingapplication.md): This method will update an existing job posting application with the specified ID.
## Job Posting Processes

 - [GET /jobPostingProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-posting-processes/listjobpostingprocesses.md): This method will scan all job posting processes and and return them to the caller.
 - [POST /jobPostingProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-posting-processes/createjobpostingprocess.md): This method will auto-generate an ID and create a new job posting process. If an ID is specified for the job posting process, an error will be thrown.
 - [POST /jobPostingProcesses/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-posting-processes/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /jobPostingProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-posting-processes/deletejobpostingprocess.md): This method will delete a job posting process with the specified ID.
 - [GET /jobPostingProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-posting-processes/getjobpostingprocess.md): This method will look up a job posting process by the specified ID and return it back.
 - [PATCH /jobPostingProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-posting-processes/patchjobpostingprocess.md): This method will patch an existing job posting process with the specified ID, using the HTTP PATCH specification.
 - [PUT /jobPostingProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-posting-processes/updatejobpostingprocess.md): This method will update an existing job posting process with the specified ID.
## Job Posting Types

 - [GET /jobPostingTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-posting-types/listjobpostingtypes.md): This method will scan all job posting types and and return them to the caller.
 - [POST /jobPostingTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-posting-types/createjobpostingtype.md): This method will auto-generate an ID and create a new job posting type. If an ID is specified for the job posting type, an error will be thrown.
 - [DELETE /jobPostingTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-posting-types/deletejobpostingtype.md): This method will delete a job posting type with the specified ID.
 - [GET /jobPostingTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-posting-types/getjobpostingtype.md): This method will look up a job posting type by the specified ID and return it back.
 - [PATCH /jobPostingTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-posting-types/patchjobpostingtype.md): This method will patch an existing job posting type with the specified ID, using the HTTP PATCH specification.
 - [PUT /jobPostingTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-posting-types/updatejobpostingtype.md): This method will update an existing job posting type with the specified ID.
## Job Postings

 - [POST /jobPostings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-postings/createjobposting.md): This method will auto-generate an ID and create a new job posting. If an ID is specified for the job posting, an error will be thrown.
 - [POST /jobPostings/{tenantId}/apply/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-postings/applytojob.md): Sends out a preview of the CRC notification email
 - [POST /jobPostings/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-postings/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /jobPostings/{tenantId}/organization/{organization_id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-postings/listpostingsbyorganizationid.md): Returns a list of records with the specified organization_id
 - [POST /jobPostings/{tenantId}/post](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-postings/postjob.md): This method will auto-generate an ID and create a new job posting. If an ID is specified for the job posting, an error will be thrown.
 - [POST /jobPostings/{tenantId}/previewEmail](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-postings/previewemail.md): Sends out a preview of the CRC notification email
 - [POST /jobPostings/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-postings/searchforjobpostings.md): Searches for job postings using predefined parameters
 - [DELETE /jobPostings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-postings/deletejobposting.md): This method will delete a job posting with the specified ID.
 - [GET /jobPostings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-postings/getjobposting.md): This method will look up a job posting by the specified ID and return it back.
 - [PATCH /jobPostings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-postings/patchjobposting.md): This method will patch an existing job posting with the specified ID, using the HTTP PATCH specification.
 - [PUT /jobPostings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/job-postings/updatejobposting.md): This method will update an existing job posting with the specified ID.
## Packages

 - [GET /packages/{tenantId}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/packages/listpackages.md): This method will scan all packages and and return them to the caller.
 - [POST /packages/{tenantId}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/packages/createpackage.md): This method will auto-generate an ID and create a new package. If an ID is specified for the package, an error will be thrown.
 - [POST /packages/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/packages/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /packages/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/packages/deletepackage.md): This method will delete a package with the specified ID.
 - [GET /packages/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/packages/getpackage.md): This method will look up a package by the specified ID and return it back.
 - [PATCH /packages/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/packages/patchpackage.md): This method will patch an existing package with the specified ID, using the HTTP PATCH specification.
 - [PUT /packages/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/packages/updatepackage.md): This method will update an existing package with the specified ID.
## Query Definitions

 - [GET /queryDefinitions/{tenantId}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/query-definitions/getquerydefinitions.md): Returns a list of records
## Resume Banks

 - [GET /resumeBanks/{tenantId}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/resume-banks/listresumebanks.md): This method will scan all resume banks and and return them to the caller.
 - [POST /resumeBanks/{tenantId}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/resume-banks/createresumebank.md): This method will auto-generate an ID and create a new resume bank. If an ID is specified for the resume bank, an error will be thrown.
 - [POST /resumeBanks/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/resume-banks/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /resumeBanks/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/resume-banks/deleteresumebank.md): This method will delete a resume bank with the specified ID.
 - [GET /resumeBanks/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/resume-banks/getresumebank.md): This method will look up a resume bank by the specified ID and return it back.
 - [PATCH /resumeBanks/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/resume-banks/patchresumebank.md): This method will patch an existing resume bank with the specified ID, using the HTTP PATCH specification.
 - [PUT /resumeBanks/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/resume-banks/updateresumebank.md): This method will update an existing resume bank with the specified ID.
## Resumes

 - [POST /resumes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/resumes/createresume.md): This method will auto-generate an ID and create a new resume. If an ID is specified for the resume, an error will be thrown.
 - [POST /resumes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/resumes/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /resumes/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/resumes/listresumesbycontactid.md): Returns a list of records with the specified contact_id
 - [POST /resumes/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/resumes/searchforresumes.md): Searches for resumes using predefined parameters
 - [DELETE /resumes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/resumes/deleteresume.md): This method will delete a resume with the specified ID.
 - [GET /resumes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/resumes/getresume.md): This method will look up a resume by the specified ID and return it back.
 - [PATCH /resumes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/resumes/patchresume.md): This method will patch an existing resume with the specified ID, using the HTTP PATCH specification.
 - [PUT /resumes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/resumes/updateresume.md): This method will update an existing resume with the specified ID.
## Settings

 - [DELETE /settings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/settings/deletesetting.md): This method will delete a setting with the specified ID.
 - [GET /settings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/settings/getsetting.md): This method will look up a setting by the specified ID and return it back.
 - [PATCH /settings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/settings/patchsetting.md): This method will patch an existing setting with the specified ID, using the HTTP PATCH specification.
 - [POST /settings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/settings/createsetting.md): This method will auto-generate an ID and create a new setting. If an ID is specified for the setting, an error will be thrown.
 - [PUT /settings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/settings/updatesetting.md): This method will update an existing setting with the specified ID.
## Statistics

 - [POST /statistics/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/statistics/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /statistics/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/careers/careers-v1/statistics/getstatistic.md): This method will look up a statistic by the specified ID and return it back.
